OnlyFans API
OnlyFansRelease Forms

List Mentions

Get a paginated list of mentions: posts where other creators have tagged or mentioned the account in a release form. Pagination is infinite-scroll: follow _pagination.next_page (which advances both offset and the fromId cursor) until it is null.

GET
/api/{account}/release-forms/mentions
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

limit?integer

Number of mentions to return per page (1-50). Must be at least 1. Must not be greater than 50.

offset?integer

Number of mentions to skip for pagination. Must be at least 0.

fromId?integer|null

Cursor for infinite-scroll pagination. Use the lastId returned by the previous page. Prefer following _pagination.next_page, which sets this automatically.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/release-forms/mentions?limit=10&offset=0"
{
  "data": {
    "list": [
      {
        "id": 9000000002,
        "replacePairs": {
          "{BASE_URL}": "https://onlyfans.com",
          "{RECIPIENT_EMAIL}": "creator@example.com",
          "{RECIPIENT_ID}": 100000001,
          "{RECIPIENT_LOGIN}": "examplecreator",
          "{RECIPIENT_NAME}": "Example Creator",
          "{RECIPIENT_URL}": "https://onlyfans.com/examplecreator",
          "{RELATED_USER_ID}": 200000001,
          "{RELATED_USER_NAME}": "Another Creator",
          "{RELATED_USER_LOGIN}": "anothercreator",
          "{RELATED_USER_URL}": "https://onlyfans.com/anothercreator",
          "{RELATED_USER_AVATAR}": "https://thumbs.onlyfans.com/public/files/thumbs/c144/example/avatar.jpg",
          "{RELATED_USER_HAS_AVATAR}": true,
          "{RELATED_USER_SHORT_NAME}": "AC"
        },
        "createdAt": "2026-06-26T02:09:55+00:00",
        "type": "user",
        "source": "text",
        "text": "mentioned you in a <a href='https://onlyfans.com/8000000002/anothercreator'>post</a>",
        "canGoToProfile": true,
        "isRead": true,
        "user": {
          "id": 200000001
        }
      },
      {
        "id": 9000000001,
        "replacePairs": {
          "{BASE_URL}": "https://onlyfans.com",
          "{RECIPIENT_EMAIL}": "creator@example.com",
          "{RECIPIENT_ID}": 100000001,
          "{RECIPIENT_LOGIN}": "examplecreator",
          "{RECIPIENT_NAME}": "Example Creator",
          "{RECIPIENT_URL}": "https://onlyfans.com/examplecreator",
          "{RELATED_USER_ID}": 200000002,
          "{RELATED_USER_NAME}": "Third Creator",
          "{RELATED_USER_LOGIN}": "thirdcreator",
          "{RELATED_USER_URL}": "https://onlyfans.com/thirdcreator",
          "{RELATED_USER_AVATAR}": "https://thumbs.onlyfans.com/public/files/thumbs/c144/example/avatar.jpg",
          "{RELATED_USER_HAS_AVATAR}": true,
          "{RELATED_USER_SHORT_NAME}": "TC"
        },
        "createdAt": "2026-06-23T04:28:11+00:00",
        "type": "user",
        "source": "tag",
        "text": "mentioned you in a <a href='https://onlyfans.com/8000000001/thirdcreator'>post</a>",
        "canGoToProfile": true,
        "isRead": true,
        "user": {
          "id": 200000002
        }
      }
    ],
    "hasMore": true,
    "lastId": 9000000000
  },
  "_pagination": {
    "next_page": "https://app.onlyfansapi.com/api/acct_abc123/release-forms/mentions?limit=10&offset=10&fromId=9000000000"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999839,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999999,
      "remaining_day": 49997
    }
  }
}